# pandas.DataFrame.plot.hexbin

`DataFrame.plot.``hexbin`(x, y, C=None, reduce_C_function=None, gridsize=None, **kwds)

  Hexbin plot

  New in version 0.17.0.

  Parameters:

  x, y : label or position, optional

  > Coordinates for each point.

  C : label or position, optional

  > The value at each (x, y) point.

  reduce_C_function : callable, optional

  > Function of one argument that reduces all the values in a bin to a single number (e.g. mean, max, sum, std).

  gridsize : int, optional

  > Number of bins.

  **kwds : optional

  > Keyword arguments to pass on to `pandas.DataFrame.plot()`.

  Returns: | axes : matplotlib.AxesSubplot or np.array of them

Scroll To Top